package guiDomain;
import sharedInterfaces.*;
public class ExecutorThread extends Thread
{
    Executor executor;
    Object argument;
    NotifierInterface notifier;
    public ExecutorThread(Executor executor, Object argument, NotifierInterface notifier)
    {
        this.executor = executor;
        this.argument = argument;
        this.notifier = notifier;
    }
    public void run()
    {
        executor.execute(argument, notifier);
        notifier.executionTerminated();
    }
}
